%define	module	Params-Validate
%define	name	perl-%{module}
%define	version	0.86
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Validate method/function call parameters
License:	GPL or Artistic
Group:		Development/Other
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Params/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Attribute::Handlers)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(Test::More)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -fr %{buildroot}
%makeinstall_std

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Params
%{perl_vendorarch}/Attribute
%{perl_vendorarch}/auto/Params



%changelog
* Wed Aug 09 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-09 17:46:48 (54825)
- Version 0.86

* Wed Aug 09 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-09 17:44:18 (54823)
- import perl-Params-Validate-0.85-1mdv2007.0

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2007.0
- New version 0.85

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 0.84-1mdv2007.0
- 0.84

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 0.83-2mdv2007.0
- Added BuildRequires ExtUtils::CBuilder

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 0.83-1mdv2007.0
- 0.83

* Tue May 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.82-1mdk
- 0.82

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdk
- New release 0.81
- fix source URL

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.80-1mdk
- 0.80

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-1mdk
- new version
- spec cleanup
- %mkrel
- rpmbuildupdate aware

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.78-1mdk
- 0.78

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.77-1mdk
- 0.77
- add tests ; spec cleanup

* Fri Nov 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.76-1mdk
- New release 0.76

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.74-1mdk
- New release 0.74

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.65-1mdk
- 0.65.

